Create fund restriction

Create fund restriction. You can move funds from the available_balance to the restricted_funds balance.

For details, refer to Restrict funds.

NOTE:

See Data and reporting for more information on events and setting up event notifications.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Create funds restriction request body

string
enum
required
Defaults to STRICT

Determines how the Pismo platform processes the restriction request in relation to the available balance at the time of execution.

Notes:

  • STRICT applies the full requested amount or fails (no partial holds).
  • FLEXIBLE can apply only the available portion, resulting in a partial hold.
  • RECURRENT behaves like FLEXIBLE at creation time. After creation, the restriction automatically applies to each incoming credit, re-restricting funds whenever a credit is posted, until the restriction reaches its target amount or increase_datetime_limit is reached.
Allowed:
float
required
0.0001 to 100000000000000000

Amount requested by the operation

The final applied amount might vary (refer to applied_amount) based on execution rules and the available balance at the time of execution.

Note:

  • For RESTRICT_FUNDS, this is the amount to be held.
  • For RELEASE_FUNDS, this is the amount to be released.
  • For EXECUTE_FUNDS, this is the amount to be debited from the held funds.
  • Precision follows the currency's minor units. For example:
    • Two decimals (USD, EUR): values use increments of 0.01
    • Three decimals (BHD, JOD, KWD, OMR, TND): values use increments of 0.001
    • Four‑decimal (CLF): values use increments of 0.0001
operation
object
required

Represents the data of the hold or release transaction.

string
length ≤ 60
^[A-Za-z0-9._-]+$

Restricted funds ID. Only accepts letters, digits, periods, underscores and hyphens. maxLength: 60

string
length between 0 and 100

Brief description that helps identify a restriction

string
enum
Defaults to REGULATORY

The type/nature of the restriction.

Notes:

  • REGULATORY: Restriction created for regulatory or operational reasons
  • JUDICIAL: Restriction created to comply with a judicial order
Allowed:
date-time

The date and time limit, in RFC 3339 format, up to which a RECURRENT restriction continues applying to incoming credits on the account.

Notes:

  • Only accepted on creation when hold_method is RECURRENT
  • Must not be in the past
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json